## org.junit.runners.model
Class Statement

    java.lang.Object
      org.junit.runners.model.Statement

Direct Known Subclasses:
  RunRules, Theories.TheoryAnchor

    public abstract class Statement

extends Object

Represents one or more actions to be taken at runtime in the course of running a JUnit test suite.

Since:
  4.5

Constructor Summary
`Statement()`

Method Summary
`abstract void` `evaluate()` Run the action, throwing a `Throwable` if anything goes wrong.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

Method Detail

### evaluate

    public abstract void evaluate()
                           throws Throwable

  Run the action, throwing a `Throwable` if anything goes wrong.

  Throws:
    `Throwable`

Copyright © 2002–2020 JUnit. All rights reserved.